Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.parser.NamespacePI

    java.lang.Object
        |
        +----com.ibm.xml.parser.Child
                |
                +----com.ibm.xml.parser.TXPI
                        |
                        +----com.ibm.xml.parser.NamespacePI

Subclasses:
  TreeFactory.TreeNamespacePI

public class NamespacePI
extends TXPI

The `NamespacePI` class provides specific support for the namespace processing instruction (PI).

A namespace PI is formatted as:

     <?xml:namespace ns="..." prefix="..." src="...">

Version:
  1.1
See Also:
  TXPI, Namespace

Fields inherited from class com.ibm.xml.parser.Child
ATTDEF, ATTLIST, DOCUMENTTYPE, ELEMENTDEFINITION, ENTITY, GENERALREFERENCE, NOTATION, PSEUDONODE

Constructor Summary
NamespacePI(java.lang.String nsURI, java.lang.String prefixName) Constructor.
NamespacePI(java.lang.String nsURI, java.lang.String prefixName, java.lang.String srcURI) Constructor.
NamespacePI(java.lang.String name, java.lang.String data, java.lang.String nsURI, java.lang.String prefixName, java.lang.String srcURI) Constructor.

Method Summary
java.lang.Object | clone() Clone this Namespace PI Node using the appropriate factory.
java.lang.String | getNs() Returns the Namespace URI (the value of the `ns=` attribute) which defines where to retrieve the namespace definition.
java.lang.String | getPrefix() Returns the prefix name (the value of the `prefix=` attribute) which defines the prefix that will be used to refer to this namespace throughout the remainder of the document.
java.lang.String | getSrc() Returns the schema URI (the value of the `src=` parameter) which defines where to retrieve the schema definition.

Methods inherited from class com.ibm.xml.parser.TXPI
clone, getData, getName, getNodeType, getNSLocalName, getNSName, getText, getUniversalName, setData, setName, setNSLocalName, setNSName

Methods inherited from class com.ibm.xml.parser.Child
clearDigest, clone, getChildNodes, getDigest, getFactory, getFirstChild, getNextSibling, getParentNode, getPreviousSibling, getText, hasChildNodes, insertBefore, makeXPointer, print, print, removeChild, replaceChild, searchAncestors, searchAncestors, setFactory, toString, toString

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### NamespacePI

    public NamespacePI(java.lang.String nsURI,
                       java.lang.String prefixName)

  Constructor.
  Parameters:
    `nsURI` - The value of the `ns=` attribute.
    `prefixName` - The value of the `prefix=` attribute.

### NamespacePI

    public NamespacePI(java.lang.String nsURI,
                       java.lang.String prefixName,
                       java.lang.String srcURI)

  Constructor.
  Parameters:
    `nsURI` - The value of the `ns=` attribute.
    `prefixName` - The value of the `prefix=` attribute.
    `srcURI` - The value of the `src=` attribute, or null.

### NamespacePI

    public NamespacePI(java.lang.String name,
                       java.lang.String data,
                       java.lang.String nsURI,
                       java.lang.String prefixName,
                       java.lang.String srcURI)

  Constructor.
  Parameters:
    `name` - The first token following the markup (i.e. "xml:namespace").
    `data` - From the character immediately after the name to the character immediately preceding the `?>`.
    `nsURI` - The value of the `ns=` attribute.
    `prefixName` - The value of the `prefix=` attribute.
    `srcURI` - The value of the `src=` attribute, or null.
  See Also:
    Namespace

Method Detail

### clone

    public java.lang.Object clone()

  Clone this Namespace PI Node using the appropriate factory.

  This method is defined by Child.

  Returns:
    Cloned Namespace PI Node.
  Overrides:
    clone in class TXPI
  See Also:
    clone

### getNs

    public java.lang.String getNs()

  Returns the Namespace URI (the value of the `ns=` attribute) which defines where to retrieve the namespace definition.
  Returns:
    The value of the `ns=` attribute.

### getPrefix

    public java.lang.String getPrefix()

  Returns the prefix name (the value of the `prefix=` attribute) which defines the prefix that will be used to refer to this namespace throughout the remainder of the document.
  Returns:
    The value of the `prefix=` attribute.

### getSrc

    public java.lang.String getSrc()

  Returns the schema URI (the value of the `src=` parameter) which defines where to retrieve the schema definition.
  Returns:
    The value of the `src=` parameter, or null if no schema.

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |